Index: v2/trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnfParser.java
===================================================================
--- v2/trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnfParser.java	(revision 97)
+++ v2/trunk/de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnfParser.java	(revision 100)
@@ -15462,5 +15859,5 @@
 
     // $ANTLR start "rule__RepeatRange__ToAssignment_4"
-    // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:4969:1: rule__RepeatRange__ToAssignment_4 : ( RULE_INT ) ;
+    // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:5096:1: rule__RepeatRange__ToAssignment_4 : ( RULE_INT ) ;
     public final void rule__RepeatRange__ToAssignment_4() throws RecognitionException {
         int rule__RepeatRange__ToAssignment_4_StartIndex = input.index();
@@ -15469,15 +15866,15 @@
             
         try {
-            if ( state.backtracking>0 && alreadyParsedRule(input, 303) ) { return ; }
-            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:4973:1: ( ( RULE_INT ) )
-            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:4974:1: ( RULE_INT )
-            {
-            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:4974:1: ( RULE_INT )
-            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:4975:1: RULE_INT
+            if ( state.backtracking>0 && alreadyParsedRule(input, 311) ) { return ; }
+            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:5100:1: ( ( RULE_INT ) )
+            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:5101:1: ( RULE_INT )
+            {
+            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:5101:1: ( RULE_INT )
+            // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:5102:1: RULE_INT
             {
             if ( state.backtracking==0 ) {
                before(grammarAccess.getRepeatRangeAccess().getToINTTerminalRuleCall_4_0()); 
             }
-            match(input,RULE_INT,FOLLOW_RULE_INT_in_rule__RepeatRange__ToAssignment_410097); if (state.failed) return ;
+            match(input,RULE_INT,FOLLOW_RULE_INT_in_rule__RepeatRange__ToAssignment_410359); if (state.failed) return ;
             if ( state.backtracking==0 ) {
                after(grammarAccess.getRepeatRangeAccess().getToINTTerminalRuleCall_4_0()); 
@@ -15495,5 +15892,5 @@
         }
         finally {
-            if ( state.backtracking>0 ) { memoize(input, 303, rule__RepeatRange__ToAssignment_4_StartIndex); }
+            if ( state.backtracking>0 ) { memoize(input, 311, rule__RepeatRange__ToAssignment_4_StartIndex); }
 
             	restoreStackSize(stackSize);
@@ -15504,16 +15901,16 @@
     // $ANTLR end "rule__RepeatRange__ToAssignment_4"
 
-    // $ANTLR start synpred28_InternalEbnf
-    public final void synpred28_InternalEbnf_fragment() throws RecognitionException {   
-        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1047:1: ( ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? ) )
-        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1047:1: ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? )
+    // $ANTLR start synpred29_InternalEbnf
+    public final void synpred29_InternalEbnf_fragment() throws RecognitionException {   
+        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1081:1: ( ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? ) )
+        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1081:1: ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? )
         {
-        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1047:1: ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? )
-        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1048:1: ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )?
+        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1081:1: ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? )
+        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1082:1: ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )?
         {
         if ( state.backtracking==0 ) {
            before(grammarAccess.getRepeatedSequenceAccess().getMorethanonceAssignment_3_0()); 
         }
-        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1049:1: ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )?
+        // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1083:1: ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )?
         int alt40=2;
         int LA40_0 = input.LA(1);
@@ -15524,7 +15921,7 @@
         switch (alt40) {
             case 1 :
-                // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1049:2: rule__RepeatedSequence__MorethanonceAssignment_3_0
+                // ../de.ugoe.cs.swe.bnftools.ebnf.ui/src-gen/de/ugoe/cs/swe/bnftools/ui/contentassist/antlr/internal/InternalEbnf.g:1083:2: rule__RepeatedSequence__MorethanonceAssignment_3_0
                 {
-                pushFollow(FOLLOW_rule__RepeatedSequence__MorethanonceAssignment_3_0_in_synpred28_InternalEbnf2274);
+                pushFollow(FOLLOW_rule__RepeatedSequence__MorethanonceAssignment_3_0_in_synpred29_InternalEbnf2352);
                 rule__RepeatedSequence__MorethanonceAssignment_3_0();
 
@@ -15543,13 +15940,13 @@
         }
     }
-    // $ANTLR end synpred28_InternalEbnf
+    // $ANTLR end synpred29_InternalEbnf
 
     // Delegated rules
 
-    public final boolean synpred28_InternalEbnf() {
+    public final boolean synpred29_InternalEbnf() {
         state.backtracking++;
         int start = input.mark();
         try {
-            synpred28_InternalEbnf_fragment(); // can never throw exception
+            synpred29_InternalEbnf_fragment(); // can never throw exception
         } catch (RecognitionException re) {
             System.err.println("impossible: "+re);
@@ -15565,20 +15962,21 @@
     protected DFA15 dfa15 = new DFA15(this);
     static final String DFA15_eotS =
-        "\21\uffff";
+        "\22\uffff";
     static final String DFA15_eofS =
-        "\1\2\20\uffff";
+        "\1\2\21\uffff";
     static final String DFA15_minS =
-        "\1\4\1\uffff\16\0\1\uffff";
+        "\1\4\1\uffff\17\0\1\uffff";
     static final String DFA15_maxS =
-        "\1\42\1\uffff\16\0\1\uffff";
+        "\1\42\1\uffff\17\0\1\uffff";
     static final String DFA15_acceptS =
-        "\1\uffff\1\1\16\uffff\1\2";
+        "\1\uffff\1\1\17\uffff\1\2";
     static final String DFA15_specialS =
         "\2\uffff\1\0\1\1\1\2\1\3\1\4\1\5\1\6\1\7\1\10\1\11\1\12\1\13\1\14"+
-        "\1\15\1\uffff}>";
+        "\1\15\1\16\1\uffff}>";
     static final String[] DFA15_transitionS = {
-            "\1\5\1\13\1\3\1\14\1\uffff\1\4\3\uffff\1\15\1\16\1\17\1\11\1"+
-            "\6\1\7\1\10\1\uffff\1\1\1\uffff\1\12\12\uffff\1\20",
+            "\1\5\1\13\1\15\1\3\1\14\1\uffff\1\4\2\uffff\1\16\1\17\1\20\1"+
+            "\11\1\6\1\7\1\10\1\uffff\1\1\1\uffff\1\12\12\uffff\1\21",
             "",
+            "\1\uffff",
             "\1\uffff",
             "\1\uffff",
@@ -15628,5 +16026,5 @@
         }
         public String getDescription() {
-            return "1042:1: rule__RepeatedSequence__Alternatives_3 : ( ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? ) | ( ( rule__RepeatedSequence__RangeAssignment_3_1 )? ) );";
+            return "1076:1: rule__RepeatedSequence__Alternatives_3 : ( ( ( rule__RepeatedSequence__MorethanonceAssignment_3_0 )? ) | ( ( rule__RepeatedSequence__RangeAssignment_3_1 )? ) );";
         }
         public int specialStateTransition(int s, IntStream _input) throws NoViableAltException {
@@ -15641,7 +16039,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15656,7 +16054,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15671,7 +16069,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15686,7 +16084,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15701,7 +16099,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15716,7 +16114,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15731,7 +16129,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15746,7 +16144,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15761,7 +16159,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15776,7 +16174,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15791,7 +16189,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15806,7 +16204,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15821,7 +16219,7 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
@@ -15836,10 +16234,25 @@
                         input.rewind();
                         s = -1;
-                        if ( (synpred28_InternalEbnf()) ) {s = 1;}
-
-                        else if ( (true) ) {s = 16;}
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
 
                          
                         input.seek(index15_15);
+                        if ( s>=0 ) return s;
+                        break;
+                    case 14 : 
+                        int LA15_16 = input.LA(1);
+
+                         
+                        int index15_16 = input.index();
+                        input.rewind();
+                        s = -1;
+                        if ( (synpred29_InternalEbnf()) ) {s = 1;}
+
+                        else if ( (true) ) {s = 17;}
+
+                         
+                        input.seek(index15_16);
                         if ( s>=0 ) return s;
                         break;
